> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an offer template

> Create a new offer template

<sup>Required permissions: `offer-template:write`</sup>



## OpenAPI

````yaml post /offer-templates
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /offer-templates:
    parameters: []
    post:
      tags:
        - OfferTemplate
      summary: Create an offer template
      description: |-
        Create a new offer template

        <sup>Required permissions: `offer-template:write`</sup>
      operationId: api_offer-templates_post
      parameters: []
      requestBody:
        description: The new OfferTemplate resource
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OfferTemplate-OfferTemplateWrite'
          text/html:
            schema:
              $ref: '#/components/schemas/OfferTemplate-OfferTemplateWrite'
        required: true
      responses:
        '201':
          description: OfferTemplate resource created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OfferTemplate-OfferTemplateRead'
            text/html:
              schema:
                $ref: '#/components/schemas/OfferTemplate-OfferTemplateRead'
          links: {}
        '400':
          description: Invalid input
        '422':
          description: Unprocessable entity
      deprecated: false
      security:
        - JWT:
            - offer-template:write
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |-
            curl -X POST \
             /offer-templates \
             --header "Content-Type: application/json" \
             --header "Authorization: Bearer <token>" \
             --data '{
                "name": "",
                "sections": [
                    ""
                ],
                "type": "section"
            }'
components:
  schemas:
    OfferTemplate-OfferTemplateWrite:
      type: object
      description: ''
      deprecated: false
      required:
        - name
      properties:
        name:
          type: string
        sections:
          type: array
          items:
            type: string
        type:
          default: section
          example: section
          type: string
          enum:
            - section
            - page
    OfferTemplate-OfferTemplateRead:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          readOnly: true
          type: string
        name:
          type: string
        sections:
          type: array
          items:
            type: string
        type:
          default: section
          example: section
          type: string
          enum:
            - section
            - page
      required:
        - name
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````